Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## java.lang
Class Character

Method Summary
`boolean` | `asBoolean()` Coerce a character to a boolean value.
`int` | `compareTo(Number right)` Compare a Character and a Number.
`int` | `compareTo(Character right)` Compare two Characters.
`Number` | `div(Number right)` Divide a Character by a Number.
`Number` | `div(Character right)` Divide one Character by another.
`Number` | `intdiv(Number right)` Integer Divide a Character by a Number.
`Number` | `intdiv(Character right)` Integer Divide two Characters.
`boolean` | `isDigit()` Determines if a character is a digit.
`boolean` | `isLetter()` Determines if a character is a letter.
`boolean` | `isLetterOrDigit()` Determines if a character is a letter or digit.
`boolean` | `isLowerCase()` Determine if a Character is lowercase.
`boolean` | `isUpperCase()` Determine if a Character is uppercase.
`boolean` | `isWhitespace()` Determines if a character is a whitespace character.
`Number` | `minus(Number right)` Subtract a Number from a Character.
`Number` | `minus(Character right)` Subtract one Character from another.
`Number` | `multiply(Number right)` Multiply a Character by a Number.
`Number` | `multiply(Character right)` Multiply two Characters.
`Character` | `next()` Increment a Character by one.
`Number` | `plus(Number right)` Add a Character and a Number.
`Number` | `plus(Character right)` Add one Character to another.
`Character` | `previous()` Decrement a Character by one.
`char` | `toLowerCase()` Converts the character to lowercase.
`char` | `toUpperCase()` Converts the character to uppercase.

Method Detail

### asBoolean

    public boolean asBoolean()

  Coerce a character to a boolean value. A character is coerced to false if it's character value is equal to 0, and to true otherwise.

Returns:
  the boolean value

Since:
  1.7.0

### compareTo

    public int compareTo(Number right)

  Compare a Character and a Number. The ordinal value of the Character is used in the comparison (the ordinal value is the unicode value which for simple character sets is the ASCII value).

Parameters:
  `right` - a Number.

Returns:
  the result of the comparison

Since:
  1.0

### compareTo

    public int compareTo(Character right)

  Compare two Characters. The ordinal values of the Characters are compared (the ordinal value is the unicode value which for simple character sets is the ASCII value).

Parameters:
  `right` - a Character.

Returns:
  the result of the comparison

Since:
  1.0

### div

    public Number div(Number right)

  Divide a Character by a Number. The ordinal value of the Character is used in the division (the ordinal value is the unicode value which for simple character sets is the ASCII value).

Parameters:
  `right` - a Number.

Returns:
  the Number corresponding to the division of left by right

Since:
  1.0

### div

    public Number div(Character right)

  Divide one Character by another. The ordinal values of the Characters are used in the division (the ordinal value is the unicode value which for simple character sets is the ASCII value).

Parameters:
  `right` - another Character.

Returns:
  the Number corresponding to the division of left by right

Since:
  1.0

### intdiv

    public Number intdiv(Number right)

  Integer Divide a Character by a Number. The ordinal value of the Character is used in the division (the ordinal value is the unicode value which for simple character sets is the ASCII value).

Parameters:
  `right` - a Number.

Returns:
  a Number (an Integer) resulting from the integer division operation

Since:
  1.0

### intdiv

    public Number intdiv(Character right)

  Integer Divide two Characters. The ordinal values of the Characters are used in the division (the ordinal value is the unicode value which for simple character sets is the ASCII value).

Parameters:
  `right` - another Character.

Returns:
  a Number (an Integer) resulting from the integer division operation

Since:
  1.0

### isDigit

    public boolean isDigit()

  Determines if a character is a digit. Synonym for 'Character.isDigit(this)'.

Returns:
  true if the character is a digit

Since:
  1.5.7

See:
  Character#isDigit.

### isLetter

    public boolean isLetter()

  Determines if a character is a letter. Synonym for 'Character.isLetter(this)'.

Returns:
  true if the character is a letter

Since:
  1.5.7

See:
  Character#isLetter.

### isLetterOrDigit

    public boolean isLetterOrDigit()

  Determines if a character is a letter or digit. Synonym for 'Character.isLetterOrDigit(this)'.

Returns:
  true if the character is a letter or digit

Since:
  1.5.7

See:
  Character#isLetterOrDigit.

### isLowerCase

    public boolean isLowerCase()

  Determine if a Character is lowercase. Synonym for 'Character.isLowerCase(this)'.

Returns:
  true if the character is lowercase

Since:
  1.5.7

See:
  Character#isLowerCase.

### isUpperCase

    public boolean isUpperCase()

  Determine if a Character is uppercase. Synonym for 'Character.isUpperCase(this)'.

Returns:
  true if the character is uppercase

Since:
  1.5.7

See:
  Character#isUpperCase.

### isWhitespace

    public boolean isWhitespace()

  Determines if a character is a whitespace character. Synonym for 'Character.isWhitespace(this)'.

Returns:
  true if the character is a whitespace character

Since:
  1.5.7

See:
  Character#isWhitespace.

### minus

    public Number minus(Number right)

  Subtract a Number from a Character. The ordinal value of the Character is used in the subtraction (the ordinal value is the unicode value which for simple character sets is the ASCII value).

Parameters:
  `right` - a Number.

Returns:
  the Number corresponding to the subtraction of right from left

Since:
  1.0

### minus

    public Number minus(Character right)

  Subtract one Character from another. The ordinal values of the Characters is used in the comparison (the ordinal value is the unicode value which for simple character sets is the ASCII value).

Parameters:
  `right` - a Character.

Returns:
  the Number corresponding to the subtraction of right from left

Since:
  1.0

### multiply

    public Number multiply(Number right)

  Multiply a Character by a Number. The ordinal value of the Character is used in the multiplication (the ordinal value is the unicode value which for simple character sets is the ASCII value).

Parameters:
  `right` - a Number.

Returns:
  the Number corresponding to the multiplication of left by right

Since:
  1.0

### multiply

    public Number multiply(Character right)

  Multiply two Characters. The ordinal values of the Characters are used in the multiplication (the ordinal value is the unicode value which for simple character sets is the ASCII value).

Parameters:
  `right` - another Character.

Returns:
  the Number corresponding to the multiplication of left by right

Since:
  1.0

### next

    public Character next()

  Increment a Character by one.

Returns:
  an incremented Character

Since:
  1.5.7

### plus

    public Number plus(Number right)

  Add a Character and a Number. The ordinal value of the Character is used in the addition (the ordinal value is the unicode value which for simple character sets is the ASCII value). This operation will always create a new object for the result, while the operands remain unchanged.

Parameters:
  `right` - a Number.

Returns:
  the Number corresponding to the addition of left and right

Since:
  1.0

See:
  Integer#valueOf.

### plus

    public Number plus(Character right)

  Add one Character to another. The ordinal values of the Characters are used in the addition (the ordinal value is the unicode value which for simple character sets is the ASCII value). This operation will always create a new object for the result, while the operands remain unchanged.

Parameters:
  `right` - a Character.

Returns:
  the Number corresponding to the addition of left and right

Since:
  1.0

See:
  Number#plus.

### previous

    public Character previous()

  Decrement a Character by one.

Returns:
  a decremented Character

Since:
  1.5.7

### toLowerCase

    public char toLowerCase()

  Converts the character to lowercase. Synonym for 'Character.toLowerCase(this)'.

Returns:
  the lowercase equivalent of the character, if any; otherwise, the character itself.

Since:
  1.5.7

See:
  Character#isLowerCase.
  String#toLowerCase.

### toUpperCase

    public char toUpperCase()

  Converts the character to uppercase. Synonym for 'Character.toUpperCase(this)'.

Returns:
  the uppercase equivalent of the character, if any; otherwise, the character itself.

Since:
  1.5.7

See:
  Character#isUpperCase.
  String#toUpperCase.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK